(window.webpackJsonp=window.webpackJsonp||[]).push([[98],{151:function(e,t,n){"use strict";n.r(t),n.d(t,"frontMatter",(function(){return i})),n.d(t,"metadata",(function(){return c})),n.d(t,"rightToc",(function(){return l})),n.d(t,"default",(function(){return d}));var a=n(2),r=n(6),b=(n(0),n(290)),i={title:"Event Arguments"},c={unversionedId:"arguments",id:"arguments",isDocsHomePage:!1,title:"Event Arguments",description:"When a user interacts with components on a page - like typing in text, making choices, clicking buttons, and so on - that information is available to your app in the form of event arguments.",source:"@site/docs/arguments.md",slug:"/arguments",permalink:"/wave/docs/arguments",editUrl:"https://github.com/h2oai/wave/edit/master/website/docs/arguments.md",version:"current",sidebar:"someSidebar",previous:{title:"Components",permalink:"/wave/docs/components"},next:{title:"State",permalink:"/wave/docs/state"}},l=[{value:"Interpreting arguments",id:"interpreting-arguments",children:[]}],o={rightToc:l};function d(e){var t=e.components,n=Object(r.a)(e,["components"]);return Object(b.b)("wrapper",Object(a.a)({},o,n,{components:t,mdxType:"MDXLayout"}),Object(b.b)("p",null,"When a user interacts with ",Object(b.b)("a",Object(a.a)({parentName:"p"},{href:"/wave/docs/components"}),"components")," on a page - like typing in text, making choices, clicking buttons, and so on - that information is available to your app in the form of ",Object(b.b)("em",{parentName:"p"},"event arguments"),"."),Object(b.b)("p",null,"The event arguments can be read from ",Object(b.b)("inlineCode",{parentName:"p"},"q.args"),", a read-only dictionary-like object passed to your ",Object(b.b)("inlineCode",{parentName:"p"},"listen()")," handler:"),Object(b.b)("pre",null,Object(b.b)("code",Object(a.a)({parentName:"pre"},{className:"language-py",metastring:"{4-6}","{4-6}":!0}),"from h2o_wave import Q, listen\n\nasync def serve(q: Q):\n    print(q.args.foo)\n    print(q.args.bar)\n    print(q.args.qux)\n\nlisten('/foo', serve)\n")),Object(b.b)("div",{className:"admonition admonition-tip alert alert--success"},Object(b.b)("div",Object(a.a)({parentName:"div"},{className:"admonition-heading"}),Object(b.b)("h5",{parentName:"div"},Object(b.b)("span",Object(a.a)({parentName:"h5"},{className:"admonition-icon"}),Object(b.b)("svg",Object(a.a)({parentName:"span"},{xmlns:"http://www.w3.org/2000/svg",width:"12",height:"16",viewBox:"0 0 12 16"}),Object(b.b)("path",Object(a.a)({parentName:"svg"},{fillRule:"evenodd",d:"M6.5 0C3.48 0 1 2.19 1 5c0 .92.55 2.25 1 3 1.34 2.25 1.78 2.78 2 4v1h5v-1c.22-1.22.66-1.75 2-4 .45-.75 1-2.08 1-3 0-2.81-2.48-5-5.5-5zm3.64 7.48c-.25.44-.47.8-.67 1.11-.86 1.41-1.25 2.06-1.45 3.23-.02.05-.02.11-.02.17H5c0-.06 0-.13-.02-.17-.2-1.17-.59-1.83-1.45-3.23-.2-.31-.42-.67-.67-1.11C2.44 6.78 2 5.65 2 5c0-2.2 2.02-4 4.5-4 1.22 0 2.36.42 3.22 1.19C10.55 2.94 11 3.94 11 5c0 .66-.44 1.78-.86 2.48zM4 14h5c-.23 1.14-1.3 2-2.5 2s-2.27-.86-2.5-2z"})))),"tip")),Object(b.b)("div",Object(a.a)({parentName:"div"},{className:"admonition-content"}),Object(b.b)("p",{parentName:"div"},Object(b.b)("inlineCode",{parentName:"p"},"q.args")," is an ",Object(b.b)("a",Object(a.a)({parentName:"p"},{href:"api/core#Expando"}),"Expando")," instance, which means it behaves both like a dictionary and an object: ",Object(b.b)("inlineCode",{parentName:"p"},"q.args['foo']")," is the same as ",Object(b.b)("inlineCode",{parentName:"p"},"q.args.foo"),". ",Object(b.b)("inlineCode",{parentName:"p"},"q.args.foo")," is easier to read."))),Object(b.b)("h2",{id:"interpreting-arguments"},"Interpreting arguments"),Object(b.b)("p",null,"The table below summarizes how to interpret inputs from various components."),Object(b.b)("table",null,Object(b.b)("thead",{parentName:"table"},Object(b.b)("tr",{parentName:"thead"},Object(b.b)("th",Object(a.a)({parentName:"tr"},{align:null}),"Component"),Object(b.b)("th",Object(a.a)({parentName:"tr"},{align:null}),"If the component is named ",Object(b.b)("inlineCode",{parentName:"th"},"foo"),", the value of ",Object(b.b)("inlineCode",{parentName:"th"},"q.args.foo")," is..."))),Object(b.b)("tbody",{parentName:"table"},Object(b.b)("tr",{parentName:"tbody"},Object(b.b)("td",Object(a.a)({parentName:"tr"},{align:null}),Object(b.b)("inlineCode",{parentName:"td"},"ui.button()")),Object(b.b)("td",Object(a.a)({parentName:"tr"},{align:null}),Object(b.b)("inlineCode",{parentName:"td"},"value")," if provided, else ",Object(b.b)("inlineCode",{parentName:"td"},"True"),".")),Object(b.b)("tr",{parentName:"tbody"},Object(b.b)("td",Object(a.a)({parentName:"tr"},{align:null}),Object(b.b)("inlineCode",{parentName:"td"},"ui.checkbox()")),Object(b.b)("td",Object(a.a)({parentName:"tr"},{align:null}),Object(b.b)("inlineCode",{parentName:"td"},"True")," if checked, ",Object(b.b)("inlineCode",{parentName:"td"},"False")," if unchecked, ",Object(b.b)("inlineCode",{parentName:"td"},"None")," if indeterminate.")),Object(b.b)("tr",{parentName:"tbody"},Object(b.b)("td",Object(a.a)({parentName:"tr"},{align:null}),Object(b.b)("inlineCode",{parentName:"td"},"ui.checklist()")),Object(b.b)("td",Object(a.a)({parentName:"tr"},{align:null}),"A list of names of all the selected choices (a list of strings).")),Object(b.b)("tr",{parentName:"tbody"},Object(b.b)("td",Object(a.a)({parentName:"tr"},{align:null}),Object(b.b)("inlineCode",{parentName:"td"},"ui.choice_group()")),Object(b.b)("td",Object(a.a)({parentName:"tr"},{align:null}),"The name of the selected choice (a string).")),Object(b.b)("tr",{parentName:"tbody"},Object(b.b)("td",Object(a.a)({parentName:"tr"},{align:null}),Object(b.b)("inlineCode",{parentName:"td"},"ui.color_picker()")),Object(b.b)("td",Object(a.a)({parentName:"tr"},{align:null}),"The selected color (a string).")),Object(b.b)("tr",{parentName:"tbody"},Object(b.b)("td",Object(a.a)({parentName:"tr"},{align:null}),Object(b.b)("inlineCode",{parentName:"td"},"ui.combobox()")),Object(b.b)("td",Object(a.a)({parentName:"tr"},{align:null}),"Either the name of the selected choice or the value typed in (a string).")),Object(b.b)("tr",{parentName:"tbody"},Object(b.b)("td",Object(a.a)({parentName:"tr"},{align:null}),Object(b.b)("inlineCode",{parentName:"td"},"ui.command()")),Object(b.b)("td",Object(a.a)({parentName:"tr"},{align:null}),Object(b.b)("inlineCode",{parentName:"td"},"data")," if provided, else ",Object(b.b)("inlineCode",{parentName:"td"},"True"),".")),Object(b.b)("tr",{parentName:"tbody"},Object(b.b)("td",Object(a.a)({parentName:"tr"},{align:null}),Object(b.b)("inlineCode",{parentName:"td"},"ui.date_picker()")),Object(b.b)("td",Object(a.a)({parentName:"tr"},{align:null}),"The selected date in ",Object(b.b)("inlineCode",{parentName:"td"},"YYYY-MM-DD")," format (a string).")),Object(b.b)("tr",{parentName:"tbody"},Object(b.b)("td",Object(a.a)({parentName:"tr"},{align:null}),Object(b.b)("inlineCode",{parentName:"td"},"ui.dropdown()")),Object(b.b)("td",Object(a.a)({parentName:"tr"},{align:null}),"If multi-valued, a list of names of all the selected choices (a list of strings), otherwise the name of the selected choice (a string).")),Object(b.b)("tr",{parentName:"tbody"},Object(b.b)("td",Object(a.a)({parentName:"tr"},{align:null}),Object(b.b)("inlineCode",{parentName:"td"},"ui.expander()")),Object(b.b)("td",Object(a.a)({parentName:"tr"},{align:null}),Object(b.b)("inlineCode",{parentName:"td"},"True")," if expanded, else ",Object(b.b)("inlineCode",{parentName:"td"},"False"),".")),Object(b.b)("tr",{parentName:"tbody"},Object(b.b)("td",Object(a.a)({parentName:"tr"},{align:null}),Object(b.b)("inlineCode",{parentName:"td"},"ui.file_upload()")),Object(b.b)("td",Object(a.a)({parentName:"tr"},{align:null}),"A list of paths to the uploaded files (a list of strings).")),Object(b.b)("tr",{parentName:"tbody"},Object(b.b)("td",Object(a.a)({parentName:"tr"},{align:null}),Object(b.b)("inlineCode",{parentName:"td"},"ui.nav_item()")),Object(b.b)("td",Object(a.a)({parentName:"tr"},{align:null}),Object(b.b)("inlineCode",{parentName:"td"},"True")," if clicked.")),Object(b.b)("tr",{parentName:"tbody"},Object(b.b)("td",Object(a.a)({parentName:"tr"},{align:null}),Object(b.b)("inlineCode",{parentName:"td"},"ui.picker()")),Object(b.b)("td",Object(a.a)({parentName:"tr"},{align:null}),"A list of names of all the selected choices (a list of strings).")),Object(b.b)("tr",{parentName:"tbody"},Object(b.b)("td",Object(a.a)({parentName:"tr"},{align:null}),Object(b.b)("inlineCode",{parentName:"td"},"ui.range_slider()")),Object(b.b)("td",Object(a.a)({parentName:"tr"},{align:null}),Object(b.b)("inlineCode",{parentName:"td"},"[min, max]")," (a list of two numbers).")),Object(b.b)("tr",{parentName:"tbody"},Object(b.b)("td",Object(a.a)({parentName:"tr"},{align:null}),Object(b.b)("inlineCode",{parentName:"td"},"ui.slider()")),Object(b.b)("td",Object(a.a)({parentName:"tr"},{align:null}),"The selected value (a number).")),Object(b.b)("tr",{parentName:"tbody"},Object(b.b)("td",Object(a.a)({parentName:"tr"},{align:null}),Object(b.b)("inlineCode",{parentName:"td"},"ui.spinbox()")),Object(b.b)("td",Object(a.a)({parentName:"tr"},{align:null}),"The selected value (a number).")),Object(b.b)("tr",{parentName:"tbody"},Object(b.b)("td",Object(a.a)({parentName:"tr"},{align:null}),Object(b.b)("inlineCode",{parentName:"td"},"ui.table()")),Object(b.b)("td",Object(a.a)({parentName:"tr"},{align:null}),"A list of names of all the selected rows (a list of strings).")),Object(b.b)("tr",{parentName:"tbody"},Object(b.b)("td",Object(a.a)({parentName:"tr"},{align:null}),Object(b.b)("inlineCode",{parentName:"td"},"ui.tabs()")),Object(b.b)("td",Object(a.a)({parentName:"tr"},{align:null}),"The name of the active tab (a string).")),Object(b.b)("tr",{parentName:"tbody"},Object(b.b)("td",Object(a.a)({parentName:"tr"},{align:null}),Object(b.b)("inlineCode",{parentName:"td"},"ui.textbox()")),Object(b.b)("td",Object(a.a)({parentName:"tr"},{align:null}),"The value typed in (a string).")),Object(b.b)("tr",{parentName:"tbody"},Object(b.b)("td",Object(a.a)({parentName:"tr"},{align:null}),Object(b.b)("inlineCode",{parentName:"td"},"ui.toggle()")),Object(b.b)("td",Object(a.a)({parentName:"tr"},{align:null}),Object(b.b)("inlineCode",{parentName:"td"},"True")," if checked, ",Object(b.b)("inlineCode",{parentName:"td"},"False")," if unchecked.")))))}d.isMDXComponent=!0},290:function(e,t,n){"use strict";n.d(t,"a",(function(){return p})),n.d(t,"b",(function(){return s}));var a=n(0),r=n.n(a);function b(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function i(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var a=Object.getOwnPropertySymbols(e);t&&(a=a.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),n.push.apply(n,a)}return n}function c(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{};t%2?i(Object(n),!0).forEach((function(t){b(e,t,n[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(n)):i(Object(n)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(n,t))}))}return e}function l(e,t){if(null==e)return{};var n,a,r=function(e,t){if(null==e)return{};var n,a,r={},b=Object.keys(e);for(a=0;a<b.length;a++)n=b[a],t.indexOf(n)>=0||(r[n]=e[n]);return r}(e,t);if(Object.getOwnPropertySymbols){var b=Object.getOwnPropertySymbols(e);for(a=0;a<b.length;a++)n=b[a],t.indexOf(n)>=0||Object.prototype.propertyIsEnumerable.call(e,n)&&(r[n]=e[n])}return r}var o=r.a.createContext({}),d=function(e){var t=r.a.useContext(o),n=t;return e&&(n="function"==typeof e?e(t):c(c({},t),e)),n},p=function(e){var t=d(e.components);return r.a.createElement(o.Provider,{value:t},e.children)},m={inlineCode:"code",wrapper:function(e){var t=e.children;return r.a.createElement(r.a.Fragment,{},t)}},O=r.a.forwardRef((function(e,t){var n=e.components,a=e.mdxType,b=e.originalType,i=e.parentName,o=l(e,["components","mdxType","originalType","parentName"]),p=d(n),O=a,s=p["".concat(i,".").concat(O)]||p[O]||m[O]||b;return n?r.a.createElement(s,c(c({ref:t},o),{},{components:n})):r.a.createElement(s,c({ref:t},o))}));function s(e,t){var n=arguments,a=t&&t.mdxType;if("string"==typeof e||a){var b=n.length,i=new Array(b);i[0]=O;var c={};for(var l in t)hasOwnProperty.call(t,l)&&(c[l]=t[l]);c.originalType=e,c.mdxType="string"==typeof e?e:a,i[1]=c;for(var o=2;o<b;o++)i[o]=n[o];return r.a.createElement.apply(null,i)}return r.a.createElement.apply(null,n)}O.displayName="MDXCreateElement"}}]);